'******************************************************************************
'*  Name    : ENC28J60_UDP.INC                                                *
'*  Author  : Gabi MIHAILA                                                    *
'*  Notice  : Public  Release                                                 *
'*          :                                                                 *
'******************************************************************************
'*  Date    : 04-Dec-06                                                       *
'*  Version : 0.0.0.8                                                        *
'*  Compiler: P.D.S - Proton v.3.2.5.2                                        *
'*  Hosts   : Microchip 18 series                                             *
'*  Notes   : - ENC28J60 - "Demo" version Driver                              *
'*          : - Basic SPI Functions and registers declares                    *
'*          ; - follows the ENC28J60 datasheet dated July 2006                *
'*          ;   DS39662B                                                      *
'******************************************************************************
Device = 18F2550                ' tested host
XTAL = 20                      ' tested Xtal
UNSIGNED_DWORDS = On
ALL_DIGITAL = TRUE

Include "ENC28J60_Driver.Inc"  ' the driver file 
;Declare RSOUT_PIN PORTA.1
;Declare SERIAL_BAUD 38400

;##############################################################################

; Continuous DEMO -- Polling Loop
; supports ARP reply, ICMP reply And UDP reply 

;##############################################################################
DelayMS 500      ; some delay

; reset ENC28J60
;Output PORTA.0
;Low PORTA.0
DelayMS 500
;High PORTA.0

INIT_ENC28J60    ; initialise the ENC28J60
DelayMS 1000     ; some delay

; Example on how to read the Revision ID of your chip
; un-comment following 3 lines to test it
 READ_ETH_CHIP_VERSION:
   EREVID = READ_MAC_REGISTER ADR_EREVID
;   RSOut "Testing EREVID",13,10
;   RSOut BIN8 EREVID," ", DEC5 EREVID,13,10,0

SIMPLE_LOOP:                                       ; continuous demo LOOP
          While 1 = 1                              ;
                EIR = READ_ETH_REGISTER  ADR_EIR   ; poll the interrupts flags
                If EIR_PKTIF = 1 Then              ; if there are new, un-processed packets in rx buffer
                   READ_RX_BUFS                    ; go parse them  
                   ;RSOut "Read incoming packet",13,10,0
                EndIf  
          Wend 

;####################    END Demo PROGRAM    ########################################

  



